summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/apache/apconf-conv.sh24
-rwxr-xr-xscripts/apache/aphtaccess-conv.sh24
-rw-r--r--scripts/apache/conffix.awk23
-rw-r--r--scripts/apache/htaccessfix.awk23
-rwxr-xr-xscripts/armerge83
-rwxr-xr-xscripts/config-stubs8
-rwxr-xr-xscripts/conv_proto30
-rwxr-xr-xscripts/mkextlib.in17
-rwxr-xr-xscripts/preconfig32
9 files changed, 0 insertions, 264 deletions
diff --git a/scripts/apache/apconf-conv.sh b/scripts/apache/apconf-conv.sh
deleted file mode 100755
index 6126bdc27d..0000000000
--- a/scripts/apache/apconf-conv.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-if [ "$1" = "" ]; then
- echo "Usage: $0 /somewhere/httpd.conf"
- exit 1
-fi
-
-if [ ! -w $1 ]; then
- echo "You cannot write to $1"
- exit 1
-fi
-
-TMPFILE=tmpfile.$$
-
-awk -f conffix.awk <$1 >$TMPFILE
-
-if [ "$?" != 0 ]; then
- exit 1
-fi
-
-mv -f $1 $1.orig
-mv -f $TMPFILE $1
-exit 0
-
diff --git a/scripts/apache/aphtaccess-conv.sh b/scripts/apache/aphtaccess-conv.sh
deleted file mode 100755
index 1af59d2843..0000000000
--- a/scripts/apache/aphtaccess-conv.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-if [ "$1" = "" ]; then
- echo "Usage: $0 /somewhere/.htaccess"
- exit 1
-fi
-
-if [ ! -w $1 ]; then
- echo "You cannot write to $1"
- exit 1
-fi
-
-TMPFILE=tmpfile.$$
-
-awk -f htaccessfix.awk <$1 >$TMPFILE
-
-if [ "$?" != 0 ]; then
- exit 1
-fi
-
-mv -f $1 $1.orig
-mv -f $TMPFILE $1
-exit 0
-
diff --git a/scripts/apache/conffix.awk b/scripts/apache/conffix.awk
deleted file mode 100644
index 88be6fade7..0000000000
--- a/scripts/apache/conffix.awk
+++ /dev/null
@@ -1,23 +0,0 @@
-# $Id$
-
-/^[ \t]*php3_*/ {
- phpcommand=substr($1,6)
- phpvalue=tolower($2)
- print "<IfModule mod_php3.c>"
- print $0
- print "</IfModule>"
- print "<IfModule mod_php4.c>"
- if (phpvalue=="on") {
- print "php_admin_flag " phpcommand " on"
- } else if (phpvalue=="off") {
- print "php_admin_flag " phpcommand " off"
- } else {
- print "php_admin_value " phpcommand " " substr($0,index($0,$1)+length($1)+1)
- }
- print "</IfModule>"
-}
-
-! /^[ \t]*php3_*/ {
- print $0
-}
-
diff --git a/scripts/apache/htaccessfix.awk b/scripts/apache/htaccessfix.awk
deleted file mode 100644
index 3c784cd335..0000000000
--- a/scripts/apache/htaccessfix.awk
+++ /dev/null
@@ -1,23 +0,0 @@
-# $Id$
-
-/^[ \t]*php3_*/ {
- phpcommand=substr($1,6)
- phpvalue=tolower($2)
- print "<IfModule mod_php3.c>"
- print $0
- print "</IfModule>"
- print "<IfModule mod_php4.c>"
- if (phpvalue=="on") {
- print "php_flag " phpcommand " on"
- } else if (phpvalue=="off") {
- print "php_flag " phpcommand " off"
- } else {
- print "php_value " phpcommand " " substr($0,index($0,$1)+length($1)+1)
- }
- print "</IfModule>"
-}
-
-! /^[ \t]*php3_*/ {
- print $0
-}
-
diff --git a/scripts/armerge b/scripts/armerge
deleted file mode 100755
index 857b103434..0000000000
--- a/scripts/armerge
+++ /dev/null
@@ -1,83 +0,0 @@
-#!/bin/sh
-#
-# +----------------------------------------------------------------------+
-# | PHP HTML Embedded Scripting Language Version 4.0 |
-# +----------------------------------------------------------------------+
-# | Copyright (c) 1997-1999 PHP Development Team (See Credits file) |
-# +----------------------------------------------------------------------+
-# | This program is free software; you can redistribute it and/or modify |
-# | it under the terms of one of the following licenses: |
-# | |
-# | A) the GNU General Public License as published by the Free Software |
-# | Foundation; either version 2 of the License, or (at your option) |
-# | any later version. |
-# | |
-# | B) the PHP License as published by the PHP Development Team and |
-# | included in the distribution in the file: LICENSE |
-# | |
-# | This program is distributed in the hope that it will be useful, |
-# | but WITHOUT ANY WARRANTY; without even the implied warranty of |
-# | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
-# | GNU General Public License for more details. |
-# | |
-# | You should have received a copy of both licenses referred to here. |
-# | If you did not, or have any questions about PHP licensing, please |
-# | contact core@php.net. |
-# +----------------------------------------------------------------------+
-# | Authors: Stig Sæther Bakken <ssb@fast.no> |
-# +----------------------------------------------------------------------+
-#
-# Archive merger. Usage: armerge libout.a dir1/libin1.a dir2/libin2.a ...
-# Creates the archive libout.a from the files in the rest of the
-# parameter list. If the input archives are in separate directories,
-# the names of the files inside them are prefixed before they are
-# merged into the output archive. The prefix used is the same as the
-# directory name with "/" replaced by "_" and a "_" at the end.
-#
-# $Id$
-#
-
-die() {
- echo $@
- exit 1
-}
-
-if test "$#" -lt "2"; then
- echo "Usage: "`basename $0`" <out-archive> <in-archives...>"
- exit 1
-fi
-
-out_archive=$1; shift
-in_archives=$@
-cwd=`pwd`
-tmpdir=/tmp/armerge$$
-
-rm -f $out_archive
-
-mkdir $tmpdir || die "can not create temporary directory $tmpdir"
-
-( cd $tmpdir;
-
-for archive in $in_archives; do
- files=`ar t $cwd/$archive | sed -e 's/__\.SYMDEF SORTED//'`
- ar x $cwd/$archive
- dir=`dirname $archive`
- if test "$dir" = "."; then
- ext_files=$files
- else
- prefix=`echo $dir | sed -e 's#^\./##' -e 's#/#_#g'`_
- prefix=`echo $prefix | sed -e 's#^\.\._##g'`
- ext_files=""
- for file in $files; do
- if test "$file" != "$prefix$file"; then
- mv "$file" "$prefix$file"
- fi
- ext_files="$ext_files $prefix$file"
- done
- fi
- ar r out.a $ext_files
-done )
-
-cmp $tmpdir/out.a $out_archive >/dev/null 2>&1 || mv $tmpdir/out.a $out_archive || die "can not create $out_archive"
-rm -rf $tmpdir
-
diff --git a/scripts/config-stubs b/scripts/config-stubs
deleted file mode 100755
index 7c774f8407..0000000000
--- a/scripts/config-stubs
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-#
-# $Id$
-
-dir=$1; shift
-for stubfile in $dir/*/config.m4; do
- echo "sinclude($stubfile)"
-done
diff --git a/scripts/conv_proto b/scripts/conv_proto
deleted file mode 100755
index fad9cfaa83..0000000000
--- a/scripts/conv_proto
+++ /dev/null
@@ -1,30 +0,0 @@
-#! /bin/sh
-#
-# do some automatic conversion of prototypes
-#
-
-if test "$1" = "" ; then
- echo "usage: $0 list-of-files"
- exit 1
-fi
-
-tmpfile=`mktemp -q /tmp/asd.XXXXXX`
-
-if test "$?" != "0" ; then
- echo "$0: cannot create temporary file"
- exit 1
-fi
-
-for file in ${1+"$@"} ; do
- echo "working on $file"
- cat $file | \
- sed -e \
- 's/void php3_\(.*\)(INTERNAL_FUNCTION_PARAMETERS)/PHP_FUNCTION(\1)/' \
- -e 's/^extern void /void /' \
- -e 's/^extern PHP_FUNCTION/PHP_FUNCTION/' > $tmpfile
- cp $tmpfile $file
-done
-
-rm -f $tmpfile
-
-exit 0
diff --git a/scripts/mkextlib.in b/scripts/mkextlib.in
deleted file mode 100755
index c098ef7b5d..0000000000
--- a/scripts/mkextlib.in
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-outfile=$1; shift
-extensions=$@
-
-ext_libs=""
-for dir in $extensions; do
- archive="$dir/libphpext_$dir.a"
- if test ! -r "$archive"; then
- echo `basename $0`": could not open $archive" >&2
- exit 1
- fi
- ext_libs="$ext_libs $archive"
-done
-
-(set -x; $top_srcdir/scripts/armerge $outfile $ext_libs)
-exit 0
diff --git a/scripts/preconfig b/scripts/preconfig
deleted file mode 100755
index 95068a03c8..0000000000
--- a/scripts/preconfig
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-#
-# $Id$
-
-disclaimer="Do NOT edit - this file is generated by preconfig"
-
-# security check - simply overwriting existing files could be harmful
-if test -w acconfig.h.new ; then
- echo "Please remove acconfig.h.new and rerun this command"
- exit 1
-fi
-
-echo "/* $disclaimer */" > acconfig.h.new
-cat acconfig.h.in >> acconfig.h.new
-confighfiles=`echo ext/*/config.h.stub`
-if test "$confighfiles" != "ext/*/config.h.stub"; then
- for file in $confighfiles; do
- cat $file >> acconfig.h.new
- done
-fi
-confighfiles=`echo sapi/*/config.h.stub`
-if test "$confighfiles" != "sapi/*/config.h.stub"; then
- for file in $confighfiles; do
- cat $file >> acconfig.h.new
- done
-fi
-cmp acconfig.h acconfig.h.new > /dev/null 2>&1
-if test $? -ne 0 ; then
- mv acconfig.h.new acconfig.h
-else
- rm -f acconfig.h.new
-fi